package com.bocloud.cmp.model;

import java.util.List;

/**
 * 镜像业务model
 *
 * @author wangyu
 * @Version 1.0
 * @since 2017年6月29日
 */
public class ImgModel {
    private String name;
    private String value;
    private List<ImageModel> data;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * @param value the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * @return the data
     */
    public List<ImageModel> getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(List<ImageModel> data) {
        this.data = data;
    }

    /**
     *
     */
    public ImgModel() {
        super();
    }

    /**
     * @param name
     * @param value
     * @param data
     */
    public ImgModel(String name, String value, List<ImageModel> data) {
        super();
        this.name = name;
        this.value = value;
        this.data = data;
    }
}
